Bug 1679959 - Link to the documentation at the bottom of 'Hosts --> Content Hosts --> Register Content Host' page is broken
Summary: Link to the documentation at the bottom of 'Hosts --> Content Hosts --> Regis...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Branding
Version: 6.5.0
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: tstrych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-22 10:59 UTC by Jan Senkyrik
Modified: 2019-10-07 17:19 UTC (History)
5 users (show)

Fixed In Version: tfm-rubygem-foreman_theme_satellite-3.0.1.11-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:09 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:23 UTC

Description Jan Senkyrik 2019-02-22 10:59:43 UTC
Description of problem:
Link to the documentation at the bottom of 'Hosts --> Content Hosts --> Register Content Host' page is broken. It points to an non-existing URL.


Version-Release number of selected component (if applicable):
Sat 6.5


How reproducible:
Always.


Actual results:
Link points to:
> https://access.redhat.com/documentation/en-us/red_hat_satellite/0.0/html/managing_hosts/chap-red_hat_satellite-managing_hosts-managing_hosts#sect-Red_Hat_Satellite-Managing_Hosts-Managing_Hosts-Registration


Expected results:
Link should be pointing to:
> https://access.redhat.com/documentation/en-us/red_hat_satellite/6.5/html/managing_hosts/chap-red_hat_satellite-managing_hosts-managing_hosts#sect-Red_Hat_Satellite-Managing_Hosts-Managing_Hosts-Registration

Additional info:
Same thing can be seen with Satellite 6.4 so please feel free to clone this bug.

Comment 12 tstrych 2019-04-02 16:11:24 UTC
I firstly open it in sat 6.5 snap 18  with package version tfm-rubygem-foreman_theme_satellite-3.0.1.5-1
where I was problem in URL was found.

On satellite 6.5 snap 20 with package version tfm-rubygem-foreman_theme_satellite-3.0.1.11-1
Steps from description were reproduced and the link in  documentation points to
https://access.redhat.com/documentation/en-us/red_hat_satellite/6.5/html/managing_hosts/chap-red_hat_satellite-managing_hosts-managing_hosts#sect-Red_Hat_Satellite-Managing_Hosts-Managing_Hosts-Registration

Which is exactly the same as expected result from description
https://access.redhat.com/documentation/en-us/red_hat_satellite/6.5/html/managing_hosts/chap-red_hat_satellite-managing_hosts-managing_hosts#sect-Red_Hat_Satellite-Managing_Hosts-Managing_Hosts-Registration

But page doesn't exist. Documentation for satellite 6.5 was not released yet.
I change the satellite version to 6.4 and it works well.

Verified.

Comment 16 errata-xmlrpc 2019-05-14 12:40:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.